ipe::CanvasObserver Class Reference

`#include <ipecanvas.h>`

## Public Member Functions

virtual | ~CanvasObserver ()
virtual void | canvasObserverWheelMoved (double xDegrees, double yDegrees, int kind)
virtual void | canvasObserverMouseAction (int button)
virtual void | canvasObserverPositionChanged ()
virtual void | canvasObserverToolChanged (bool hasTool)
virtual void | canvasObserverSizeChanged ()

## Constructor & Destructor Documentation

## ~CanvasObserver()

CanvasObserver::~CanvasObserver | ( |  | ) |

virtual

## Member Function Documentation

## canvasObserverWheelMoved()

void CanvasObserver::canvasObserverWheelMoved | ( | double | xDegrees,
|  | double | yDegrees,
|  | int | kind
| ) |  |

virtual

Referenced by Canvas::magnify(), Canvas::scrollWheel(), and ipe::Canvas::wheelEvent().

## canvasObserverMouseAction()

void CanvasObserver::canvasObserverMouseAction | ( | int | button | ) |

virtual

Referenced by Canvas::drawRect(), ipe::Canvas::mouseButton(), and ipe::Canvas::tabletEvent().

## canvasObserverPositionChanged()

void CanvasObserver::canvasObserverPositionChanged | ( |  | ) |

virtual

Referenced by Canvas::mouseMove(), ipe::Canvas::mouseMoveEvent(), and ipe::Canvas::tabletEvent().

## canvasObserverToolChanged()

void CanvasObserver::canvasObserverToolChanged | ( | bool | hasTool | ) |

virtual

## canvasObserverSizeChanged()

void CanvasObserver::canvasObserverSizeChanged | ( |  | ) |

virtual

References ipe::CanvasBase::CanvasBase(), ipe::Snap::ESnapNone, ipe::IPE_PI, and ipe::Vector::ZERO.

The documentation for this class was generated from the following files:

- ipecanvas.h
- ipecanvas.cpp